<?php

use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Yonetim\AyarController;
use App\Http\Controllers\Yonetim\YorumlarController;
use App\Http\Controllers\Yonetim\ServislerController;
use App\Http\Controllers\Yonetim\ScriptController;
use App\Http\Controllers\Yonetim\MailController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\Yonetim\ReferansController;
use App\Http\Controllers\Yonetim\BlogController;
use App\Http\Controllers\Yonetim\SliderController;
use App\Http\Controllers\Yonetim\AboutController;
use App\Http\Controllers\Yonetim\SeoController;
use App\Http\Controllers\Yonetim\ScriptkategoriController;
use App\Http\Controllers\Yonetim\UyeController;
use App\Http\Controllers\Yonetim\SsslerController;
use App\Http\Controllers\Yonetim\PaketlerController;
use App\Http\Controllers\Yonetim\SosyalmedyaController;
use App\Http\Controllers\Yonetim\DestektalepController;
use App\Http\Controllers\Yonetim\MenuController;
use App\Http\Controllers\Yonetim\HesapbilgiController;
use App\Http\Controllers\Yonetim\BayilikController;
use App\Http\Controllers\Yonetim\SabitalanController;
use App\Http\Controllers\Yonetim\BilgisayfaController;
use App\Http\Controllers\Yonetim\EklentiController;
use App\Http\Controllers\Yonetim\BannerController;
use App\Http\Controllers\Yonetim\KuponController;
use App\Http\Controllers\Yonetim\UrunlerController;







Route::get('yonetim/bildirim/sil', function () {

    \App\Models\Notification::where('notifiable_type','bildirim')->delete();

    return redirect()->back()->with('success','Tüm bildirimler Okundu');
})->middleware(['auth:web'])->name('bildirim.sil');



// Admin All Route
Route::middleware('auth:web')->group(function () {


    Route::get('/secret-cookie', function() {
        $response = new Illuminate\Http\Response('Cookie installed');

        $response->withCookie(cookie()->forever('secret-cookie', '<random string>'));

        return $response;
    });


    Route::get('yonetim/manage-menus/{id?}',[MenuController::class,'index']);
    Route::post('yonetim/create-menu',[MenuController::class,'store']);
    Route::get('yonetim/add-categories-to-menu',[MenuController::class,'addCatToMenu']);
    Route::get('yonetim/add-post-to-menu',[MenuController::class,'addPostToMenu']);
    Route::get('yonetim/add-services-to-menu',[MenuController::class,'addServicesToMenu']);


    Route::get('yonetim/add-sabitlink-to-menu',[MenuController::class,'addSabitlinkToMenu']);


    Route::get('yonetim/add-anasayfa-to-menu',[MenuController::class,'addAnasayfaCustomLink']);
    Route::get('yonetim/add-hakkimizda-to-menu',[MenuController::class,'addHakkimizdaCustomLink']);

    Route::get('yonetim/add-yorumlar-to-menu',[MenuController::class,'addyorumlarCustomLink']);
    Route::get('yonetim/add-hesapbilgilerimiz-to-menu',[MenuController::class,'addhesapbilgilerimizCustomLink']);
    Route::get('yonetim/add-ssller-to-menu',[MenuController::class,'addssllerCustomLink']);
    Route::get('yonetim/add-scriptler-to-menu',[MenuController::class,'addscriptlerCustomLink']);
    Route::get('yonetim/add-bloglar-to-menu',[MenuController::class,'addbloglarCustomLink']);
    Route::get('yonetim/add-referanslarimiz-to-menu',[MenuController::class,'addreferanslarimizCustomLink']);
    Route::get('yonetim/add-iletisim-to-menu',[MenuController::class,'addiletisimCustomLink']);
    Route::get('yonetim/add-bayilik-to-menu',[MenuController::class,'addbayilikCustomLink']);
    Route::get('yonetim/add-paketler-to-menu',[MenuController::class,'addpaketlerCustomLink']);
    Route::get('yonetim/add-urunler-to-menu',[MenuController::class,'addurunlerCustomLink']);
    Route::get('yonetim/add-servisler-to-menu',[MenuController::class,'addservislerCustomLink']);




    Route::get('yonetim/add-custom-link',[MenuController::class,'addCustomLink']);
    Route::get('yonetim/update-menu',[MenuController::class,'updateMenu']);
    Route::post('yonetim/update-menuitem/{id}',[MenuController::class,'updateMenuItem']);
    Route::get('yonetim/delete-menuitem/{id}/{key}/{in?}',[MenuController::class,'deleteMenuItem']);
    Route::get('yonetim/delete-menu/{id}',[MenuController::class,'destroy']);


    Route::get('yonetim/slugauar',[MenuController::class,'slugayar'])->name('menu.slugayar');
    Route::post('yonetim/siteslugpost',[MenuController::class,'siteslugpost']);



    // Genel Ayar Route
    Route::controller(AyarController::class)->group(function () {


        Route::get('yonetim/dashboard', 'dashboard')->name('dashboard');



        Route::get('yonetim/genelayarlar/siteayar', 'Ayar')->name('genelayar.siteayar');
        Route::post('yonetim/genelayarlar/ayarupdate', 'AyarUpdate')->name('genelayar.ayarupdate');


        Route::get('yonetim/genelayarlar/logoayar', 'logoayar')->name('genelayar.logoayar');
        Route::post('yonetim/genelayarlar/logoayarson', 'logoayarson')->name('genelayar.logoayarson');

        Route::post('yonetim/genelayarlar/faviconson', 'faviconson')->name('genelayar.faviconson');


        Route::get('yonetim/genelayarlar/cacheayar', 'cacheayar')->name('genelayar.cacheayar');
        Route::post('yonetim/genelayarlar/cacheyarson', 'cacheayarson')->name('genelayar.cacheayarson');


        Route::get('yonetim/genelayarlar/siteapiayar', 'siteapiayar')->name('genelayar.siteapiayar');
        Route::post('yonetim/genelayarlar/siteapiayarson', 'siteapiayarson')->name('genelayar.siteapiayarson');

        Route::get('yonetim/genelayarlar/emailayar', 'emailayar')->name('genelayar.emailayar');
        Route::post('yonetim/genelayarlar/emailayar', 'emailayarson')->name('genelayar.emailayarson');

        Route::get('yonetim/genelayarlar/captcheayar', 'captcheayar')->name('genelayar.captcheayar');
        Route::post('yonetim/genelayarlar/captcheayarson', 'captcheayarson')->name('genelayar.captcheayarson');


        Route::get('yonetim/genelayarlar/googleapiayar', 'googleapiayar')->name('genelayar.googleapiayar');
        Route::post('yonetim/genelayarlar/googleapiayarson', 'googleapiayarson')->name('genelayar.googleapiayarson');


        Route::get('yonetim/genelayarlar/resimbicim', 'resimbicim')->name('genelayar.resimbicim');
        Route::post('yonetim/genelayarlar/resimbicimson', 'resimbicimson')->name('genelayar.resimbicimson');


        Route::get('yonetim/genelayarlar/tasarimayar', 'tasarimayar')->name('genelayar.tasarimayar');
        Route::post('yonetim/genelayarlar/tasarimayarson', 'tasarimayarson')->name('genelayar.tasarimayarson');

        Route::post('yonetim/genelayarlar/tasarimayaryonson', 'tasarimayaryonson')->name('genelayar.tasarimayaryonson');



        Route::get('yonetim/genelayarlar/bakimmodu', 'bakimmodu')->name('genelayar.bakimmodu');
        Route::post('yonetim/genelayarlar/bakimmodupost', 'bakimmodupost')->name('genelayar.bakimmodupost');


        Route::get('yonetim/genelayarlar/cerezpolitikasi', 'cerezpolitikasi')->name('genelayar.cerezpolitikasi');
        Route::post('yonetim/genelayarlar/cerezpolitikasipost', 'cerezpolitikasipost')->name('genelayar.cerezpolitikasipost');

        Route::get('yonetim/genelayarlar/lisansbilgi', 'lisansbilgi')->name('genelayar.lisansbilgi');
        Route::post('yonetim/genelayarlar/lisansla', 'lisansla')->name('genelayar.lisansla');



        Route::get('yonetim/genelayarlar/lisansolustur', 'lisansolustur')->name('genelayar.lisansolustur');

        Route::post('yonetim/genelayarlar/lisansolustursonuc', 'lisansolustursonuc')->name('genelayar.lisansolustursonuc');


        Route::post('yonetim/genelayarlar/domaindurum', 'domaindurum')->name('genelayar.domaindurum');


        Route::get('yonetim/genelayarlar/istatistikduzelt', 'istatistikduzelt')->name('istatistik.duzelt');


    });




    //Servisler Controller

    Route::controller(ServislerController::class)->group(function () {
        Route::get('yonetim/servisayar/all', 'veriler')->name('servisayar.all');

        Route::get('yonetim/servisayar/veriekle', 'veriekle')->name('servisayar.veriekle');
        Route::post('yonetim/servisayar/veriekleson', 'veriekleson')->name('servisayar.veriekleson');


        Route::get('yonetim/servisayar/veriupdate/{id}', 'veriupdate')->name('servisayar.veriupdate');
        Route::post('yonetim/servisayar/veriupdateson/{id}', 'veriupdateson')->name('servisayar.veriupdateson');

        Route::get('yonetim/servisayar/verisil/{id}', 'verisil')->name('servisayar.verisil');

    });


    //Yorumlar Controller
    Route::controller(YorumlarController::class)->group(function () {
        Route::get('yonetim/yorumlar/all', 'veriler')->name('yorumlar.all');

        Route::get('yonetim/yorumlar/veriekle', 'veriekle')->name('yorumlar.veriekle');
        Route::post('yonetim/yorumlar/veriekleson', 'veriekleson')->name('yorumlar.veriekleson');

        Route::get('yonetim/yorumlar/veriupdate/{id}', 'veriupdate')->name('yorumlar.veriupdate');
        Route::post('yonetim/yorumlar/veriupdateson/{id}', 'veriupdateson')->name('yorumlar.veriupdateson');

        Route::get('yonetim/yorumlar/verisil/{id}', 'veridelete')->name('yorumlar.verisil');

    });


    //Bildirimler Controller
    Route::controller(\App\Http\Controllers\Yonetim\BildirimController::class)->group(function () {
        Route::get('yonetim/bildirim/all', 'veriler')->name('bildirim.all');

        Route::get('yonetim/bildirim/veriekle', 'veriekle')->name('bildirim.veriekle');
        Route::post('yonetim/bildirim/veriekleson', 'veriekleson')->name('bildirim.veriekleson');

        Route::get('yonetim/bildirim/veriupdate/{id}', 'veriupdate')->name('bildirim.veriupdate');
        Route::post('yonetim/bildirim/veriupdateson/{id}', 'veriupdateson')->name('bildirim.veriupdateson');

        Route::get('yonetim/bildirim/verisil/{id}', 'veridelete')->name('bildirim.verisil');

    });



    //Domain Controller
    Route::controller(\App\Http\Controllers\DomainController::class)->group(function () {
        Route::get('yonetim/domain/all', 'veriler')->name('domain.all');
        Route::get('yonetim/domain/veriupdate/{id}', 'veriupdate')->name('domain.veriupdate');
        Route::post('yonetim/domain/veriupdateson/{id}', 'veriupdateson')->name('domain.veriupdateson');

        Route::get('yonetim/domain/veriekle', 'veriekle')->name('domain.veriekle');
        Route::post('yonetim/domain/veriekleson', 'veriekleson')->name('domain.veriekleson');
        Route::get('yonetim/domain/verisil/{id}', 'veridelete')->name('domain.verisil');



    });


    //Sabitalan Controller
    Route::controller(SabitalanController::class)->group(function () {
        Route::get('yonetim/sabitalan/veriupdate', 'veriupdate')->name('sabitalan.veriupdate');
        Route::post('yonetim/sabitalan/veriupdateson/{id}', 'veriupdateson')->name('sabitalan.veriupdateson');
    });


    //Bilgisayfa Controller
    Route::controller(BilgisayfaController::class)->group(function () {
        Route::get('yonetim/sayfa/all', 'veriler')->name('sayfa.all');

        Route::get('yonetim/sayfa/veriekle', 'veriekle')->name('sayfa.veriekle');
        Route::post('yonetim/sayfa/veriekleson', 'veriekleson')->name('sayfa.veriekleson');

        Route::get('yonetim/sayfa/veriupdate/{id}', 'veriupdate')->name('sayfa.veriupdate');
        Route::post('yonetim/sayfa/veriupdateson/{id}', 'veriupdateson')->name('sayfa.veriupdateson');

        Route::get('yonetim/sayfa/verisil/{id}', 'veridelete')->name('sayfa.verisil');

    });


    //Eklenti Controller
    Route::controller(EklentiController::class)->group(function () {
        Route::get('yonetim/eklenti/all', 'veriler')->name('eklenti.all');

        Route::get('yonetim/eklenti/veriekle', 'veriekle')->name('eklenti.veriekle');
        Route::post('yonetim/eklenti/veriekleson', 'veriekleson')->name('eklenti.veriekleson');

        Route::get('yonetim/eklenti/veriupdate/{id}', 'veriupdate')->name('eklenti.veriupdate');
        Route::post('yonetim/eklenti/veriupdateson/{id}', 'veriupdateson')->name('eklenti.veriupdateson');

        Route::get('yonetim/eklenti/verisil/{id}', 'veridelete')->name('eklenti.verisil');

    });






    //Hesapbilgi Controller
    Route::controller(HesapbilgiController::class)->group(function () {

        Route::get('yonetim/odemeyontemleri/all', 'odemeyontemleri')->name('odemeyontemleri.all');

        Route::post('yonetim/hesap/valettoggleDurum', 'valettoggleDurum')->name('hesap.valettoggleDurum');

        Route::post('yonetim/hesap/paytrtoggleDurum', 'paytrtoggleDurum')->name('hesap.paytrtoggleDurum');

        Route::post('yonetim/hesap/havaletoggleDurum', 'havaletoggleDurum')->name('hesap.havaletoggleDurum');



        Route::get('yonetim/hesap/all', 'veriler')->name('hesap.all');
        Route::get('yonetim/hesap/veriekle', 'veriekle')->name('hesap.veriekle');
        Route::post('yonetim/hesap/veriekleson', 'veriekleson')->name('hesap.veriekleson');
        Route::get('yonetim/hesap/veriupdate/{id}', 'veriupdate')->name('hesap.veriupdate');
        Route::post('yonetim/hesap/veriupdateson/{id}', 'veriupdateson')->name('hesap.veriupdateson');
        Route::get('yonetim/hesap/verisil/{id}', 'veridelete')->name('hesap.verisil');


        Route::get('yonetim/paytr/veriupdate', 'paytrveri')->name('paytr.veriupdate');
        Route::post('yonetim/paytr/veriupdateson', 'paytrverison')->name('paytr.veriupdateson');


        Route::get('yonetim/vallet/veriupdate', 'valletveri')->name('vallet.veriupdate');
        Route::post('yonetim/vallet/veriupdateson', 'valletverison')->name('vallet.veriupdateson');

    });


    //Script Controller
    Route::controller(ScriptController::class)->group(function () {
        Route::get('yonetim/script/all', 'veriler')->name('script.all');

        Route::get('yonetim/script/veriekle', 'veriekle')->name('script.veriekle');
        Route::post('yonetim/script/veriekleson', 'veriekleson')->name('script.veriekleson');

        Route::get('yonetim/script/veriupdate/{id}', 'veriupdate')->name('script.veriupdate');
        Route::post('yonetim/script/veriupdateson/{id}', 'veriupdateson')->name('script.veriupdateson');


        Route::get('yonetim/script/resimler/{id}', 'resimler')->name('script.resimler');
        Route::post('yonetim/script/resimekleson/{id}', 'resimekleson')->name('script.resimekleson');
        Route::get('yonetim/script/resimsil/{id}', 'resimsil')->name('script.resimsil');




        Route::get('yonetim/script/dosyayukle/{id}', 'dosyayukle')->name('script.dosyayukle');
        Route::post('yonetim/script/dosyayukleson/{id}', 'dosyayukleson')->name('script.dosyayukleson');


        Route::post('yonetim/script/dosyaindir', 'dosyaindir')->name('scriptdosya.indir');


        Route::get('yonetim/script/dosyasil/{id}', 'dosyasil')->name('script.dosyasil');


        Route::get('yonetim/script/verisil/{id}', 'veridelete')->name('script.verisil');


        Route::get('yonetim/scriptmodul/all/{id}', 'modulveriler')->name('scriptmodul.all');
        Route::get('yonetim/scriptmodul/veriekle/{id}', 'modulveriekle')->name('scriptmodul.veriekle');
        Route::post('yonetim/scriptmodul/veriekleson/{id}', 'modulveriekleson')->name('scriptmodul.veriekleson');

        Route::get('yonetim/scriptmodul/veriupdate/{id}/{modul_id}', 'modulveriupdate')->name('scriptmodul.veriupdate');

        Route::post('yonetim/scriptmodul/veriupdateson/{id}/{modul_id}', 'modulveriupdateson')->name('scriptmodul.veriupdateson');
        Route::get('yonetim/scriptmodul/verisil/{id}/{modul_id}', 'modulveridelete')->name('scriptmodul.verisil');



        Route::get('yonetim/scriptsss/all/{id}', 'sssveriler')->name('scriptsss.all');
        Route::get('yonetim/scriptsss/veriekle/{id}', 'sssveriekle')->name('scriptsss.veriekle');
        Route::post('yonetim/scriptsss/veriekleson/{id}', 'sssveriekleson')->name('scriptsss.veriekleson');

        Route::get('yonetim/scriptsss/veriupdate/{id}/{sss_id}', 'sssveriupdate')->name('scriptsss.veriupdate');

        Route::post('yonetim/scriptsss/veriupdateson/{id}/{sss_id}', 'sssveriupdateson')->name('scriptsss.veriupdateson');
        Route::get('yonetim/scriptsss/verisil/{id}/{sss_id}', 'sssveridelete')->name('scriptsss.verisil');



    });

    //ürün Controller
    Route::controller(UrunlerController::class)->group(function () {
        Route::get('yonetim/urun/all', 'veriler')->name('urun.all');

        Route::get('yonetim/urun/veriekle', 'veriekle')->name('urun.veriekle');
        Route::post('yonetim/urun/veriekleson', 'veriekleson')->name('urun.veriekleson');

        Route::get('yonetim/urun/veriupdate/{id}', 'veriupdate')->name('urun.veriupdate');
        Route::post('yonetim/urun/veriupdateson/{id}', 'veriupdateson')->name('urun.veriupdateson');
        Route::get('yonetim/urun/verisil/{id}', 'veridelete')->name('urun.verisil');


        Route::get('yonetim/uruncat/all', 'catveriler')->name('uruncat.all');

        Route::get('yonetim/uruncat/veriekle', 'catveriekle')->name('uruncat.veriekle');
        Route::post('yonetim/uruncat/veriekleson', 'catveriekleson')->name('uruncat.veriekleson');

        Route::get('yonetim/uruncat/veriupdate/{id}', 'catveriupdate')->name('uruncat.veriupdate');
        Route::post('yonetim/uruncat/veriupdateson/{id}', 'catveriupdateson')->name('uruncat.veriupdateson');
        Route::get('yonetim/uruncat/verisil/{id}', 'catveridelete')->name('uruncat.verisil');




    });



    //Destektalep Controller
    Route::controller(DestektalepController::class)->group(function () {
        Route::get('yonetim/talepler/all', 'veriler')->name('talepler.all');


        Route::get('yonetim/talepler/mesajgonder/{id}', 'mesajgonder')->name('talepler.mesajgonder');
        Route::post('yonetim/talepler/mesajgonderson', 'mesajgonderson')->name('talepler.mesajgonderson');


        Route::post('yonetim/talepler/talepkapatson', 'talepkapatson')->name('talepler.talepkapatson');

        Route::get('yonetim/talepler/verisil/{id}', 'veridelete')->name('talepler.verisil');

        Route::get('yonetim/talepler/konular', 'konular')->name('talepler.konular');
        Route::get('yonetim/talepler/konuekle', 'konuekle')->name('talepler.konuekle');
        Route::post('yonetim/talepler/konuekleson', 'konuekleson')->name('talepler.konuekleson');

        Route::get('yonetim/talepler/konuedit/{id}', 'konuedit')->name('talepler.konuedit');
        Route::post('yonetim/talepler/konueditson/{id}', 'konueditson')->name('talepler.konueditson');
        Route::post('yonetim/talepler/konusil/{id}', 'konusil')->name('talepler.konusil');


    });

    //Script Controller
    Route::controller(ScriptkategoriController::class)->group(function () {
        Route::get('yonetim/scriptkat/all', 'veriler')->name('scriptkat.all');

        Route::get('yonetim/scriptkat/veriekle', 'veriekle')->name('scriptkat.veriekle');
        Route::post('yonetim/scriptkat/veriekleson', 'veriekleson')->name('scriptkat.veriekleson');
        Route::get('yonetim/scriptkat/veriupdate/{id}', 'veriupdate')->name('scriptkat.veriupdate');
        Route::post('yonetim/scriptkat/veriupdateson/{id}', 'veriupdateson')->name('scriptkat.veriupdateson');
        Route::get('yonetim/scriptkat/verisil/{id}', 'veridelete')->name('scriptkat.verisil');

    });


    //üye Controller
    Route::controller(UyeController::class)->group(function () {
        Route::get('yonetim/uyeler/all', 'all')->name('uyeler.all');
        Route::get('yonetim/uyeler/uyedetay/{id}', 'uyedetay')->name('uyeler.uyedetay');

        Route::get('yonetim/uyeler/veriupdate/{id}', 'yonupdate')->name('uyeler.yonupdate');
        Route::post('yonetim/uyeler/veriupdateson/{id}', 'yonupdateson')->name('uyeler.yonupdateson');

        Route::post('yonetim/uyeler/bayiupdateson/{id}', 'bayiupdateson')->name('uyeler.bayiupdateson');


        Route::post('yonetim/uyeler/uyebanupdateson/{id}', 'uyeban')->name('uyeler.uyebanupdateson');

        Route::get('yonetim/uyeler/verisil/{id}', 'yonsilson')->name('uyeler.yonsilson');

        Route::get('yonetim/uyeler/uyetalepac/{id}', 'uyetalepac')->name('uyeler.uyetalepac');
        Route::post('yonetim/uyeler/uyetalepacson/{id}', 'uyetalepacson')->name('uyeler.uyetalepacson');


        Route::get('yonetim/uyeler/sifiredegistir/{id}', 'sifredegistir')->name('uyeler.sifredegistir');
        Route::post('yonetim/uyeler/sifredegistirson/{id}', 'sifredegistirson')->name('uyeler.sifredegistirson');


        Route::get('yonetim/uyeler/uyebildirimekle/{id}', 'bildirimekle')->name('uyeler.uyebildirimekle');
        Route::post('yonetim/uyeler/uyebildirimekleson/{id}', 'bildirimekleson')->name('uyeler.uyebildirimekleson');

        Route::get('yonetim/uyeler/uyebildirimedit/{id}/{bildirim_id}', 'bildirimedit')->name('uyeler.uyebildirimedit');
        Route::post('yonetim/uyeler/uyebildirimeditson/{id}/{bildirim_id}', 'bildirimeditson')->name('uyeler.uyebildirimeditson');

    });



    //SosyalMedya Controller
    Route::controller(SosyalmedyaController::class)->group(function () {
        Route::get('yonetim/sosyalmedya/all', 'veriler')->name('sosyalmedya.all');

        Route::get('yonetim/sosyalmedya/veriekle', 'veriekle')->name('sosyalmedya.veriekle');
        Route::post('yonetim/sosyalmedya/veriekleson', 'veriekleson')->name('sosyalmedya.veriekleson');

        Route::get('yonetim/sosyalmedya/veriupdate/{id}', 'veriupdate')->name('sosyalmedya.veriupdate');
        Route::post('yonetim/sosyalmedya/veriupdateson/{id}', 'veriupdateson')->name('sosyalmedya.veriupdateson');

        Route::get('yonetim/sosyalmedya/verisil/{id}', 'veridelete')->name('sosyalmedya.verisil');

    });

    //referans Controller
    Route::controller(ReferansController::class)->group(function () {
        Route::get('yonetim/referans/all', 'veriler')->name('referans.all');

        Route::get('yonetim/referans/veriekle', 'veriekle')->name('referans.veriekle');
        Route::post('yonetim/referans/veriekleson', 'veriekleson')->name('referans.veriekleson');

        Route::get('yonetim/referans/veriupdate/{id}', 'veriupdate')->name('referans.veriupdate');
        Route::post('yonetim/referans/veriupdateson/{id}', 'veriupdateson')->name('referans.veriupdateson');

        Route::get('yonetim/referans/verisil/{id}', 'veridelete')->name('referans.verisil');

    });


    //Şiparişler Controller
    Route::controller(\App\Http\Controllers\Yonetim\SiparislerController::class)->group(function () {
        Route::get('yonetim/siparis/all', 'veriler')->name('siparis.all');
        Route::get('yonetim/siparis/veriupdate/{id}', 'veriupdate')->name('siparis.veriupdate');
        Route::post('yonetim/siparis/veriupdateson/{id}', 'veriupdateson')->name('siparis.veriupdateson');

        Route::post('yonetim/siparis/dosyayukleson/{id}', 'dosyayukleson')->name('siparis.dosyayukleson');


        Route::post('yonetim/siparis/scriptdosyayukleson/{id}', 'scriptdosyayukleson')->name('siparis.scriptdosyayukleson');

        Route::get('yonetim/scriptdosyasil/verisil/{id}', 'scriptdosyasil')->name('siparis.scriptdosyasil');

        Route::get('yonetim/siparis/verisil/{id}', 'veridelete')->name('siparis.verisil');


        Route::get('yonetim/siparis/siparisrevizyonekle/{id}', 'siparisrevizyonekle')->name('siparis.siparisrevizyonekle');
        Route::post('yonetim/siparis/siparisrevizyonekleson/{id}', 'siparisrevizyonekleson')->name('siparis.siparisrevizyonekleson');

        Route::get('yonetim/siparis/siparisrevizyonedit/{revizyon_id}', 'siparisrevizyonedit')->name('siparis.siparisrevizyonedit');
        Route::post('yonetim/siparis/siparisrevizyoneditson/{revizyon_id}', 'siparisrevizyoneditson')->name('siparis.siparisrevizyoneditson');
        Route::get('yonetim/siparis/revizyonsil/{revizyon_id}', 'revizyonsil')->name('siparis.revizyonsil');

        Route::get('yonetim/revizyondosyasil/verisil/{id}', 'revizyondosyasil')->name('siparis.revizyondosyasil');




    });

    //Ssller Controller
    Route::controller(SsslerController::class)->group(function () {
        Route::get('yonetim/ssller/all', 'veriler')->name('ssller.all');

        Route::get('yonetim/ssller/veriekle', 'veriekle')->name('ssller.veriekle');
        Route::post('yonetim/ssller/veriekleson', 'veriekleson')->name('ssller.veriekleson');

        Route::get('yonetim/ssller/veriupdate/{id}', 'veriupdate')->name('ssller.veriupdate');
        Route::post('yonetim/ssller/veriupdateson/{id}', 'veriupdateson')->name('ssller.veriupdateson');

        Route::get('yonetim/ssller/verisil/{id}', 'veridelete')->name('ssller.verisil');

    });





    //blog Controller
    Route::controller(BlogController::class)->group(function () {

        Route::get('yonetim/bloglar/all', 'veriler')->name('blog.all');

        Route::get('yonetim/bloglar/veriekle', 'veriekle')->name('blog.veriekle');
        Route::post('yonetim/bloglar/veriekleson', 'veriekleson')->name('blog.veriekleson');


        Route::post('yonetim/bloglar/catekleson', 'catekleson')->name('blog.catekleson');
        Route::get('yonetim/bloglar/blogcatsil/{id}', 'blogcatsil')->name('blog.blogcatsil');



        Route::get('yonetim/bloglar/veriupdate/{id}', 'veriupdate')->name('blog.veriupdate');
        Route::post('yonetim/bloglar/veriupdateson/{id}', 'veriupdateson')->name('blog.veriupdateson');

        Route::get('yonetim/bloglar/verisil/{id}', 'veridelete')->name('blog.verisil');


        Route::get('yonetim/blog/blogyorumlar', 'blogyorumlar')->name('blog.blogyorumlar');
        Route::get('yonetim/blog/blogyorumlaredit/{id}', 'blogyorumlaredit')->name('blog.blogyorumlaredit');


        Route::post('yonetim/blog/blogyorumlareditson/{id}', 'blogyorumlareditson')->name('blog.blogyorumlareditson');

        Route::get('yonetim/bloglar/blogyorumsil/{id}', 'blogyorumsil')->name('blog.blogyorumsil');

    });


    //Slider Controller
    Route::controller(SliderController::class)->group(function () {
        Route::get('yonetim/slider/all', 'veriler')->name('slider.all');
        Route::get('yonetim/slider/veriupdate/{id}', 'veriupdate')->name('slider.veriupdate');
        Route::post('yonetim/slider/veriupdateson/{id}', 'veriupdateson')->name('slider.veriupdateson');

        Route::get('yonetim/slider/verisil/{id}', 'veridelete')->name('slider.verisil');

    });

    //Servisler Controller

    Route::controller(ServislerController::class)->group(function () {
        Route::get('yonetim/servisayar/all', 'veriler')->name('servisayar.all');
        Route::get('yonetim/servisayar/veriupdate/{id}', 'veriupdate')->name('servisayar.veriupdate');
        Route::post('yonetim/servisayar/veriupdateson/{id}', 'veriupdateson')->name('servisayar.veriupdateson');

    });





    // Mail All Route
    Route::controller(MailController::class)->group(function () {


        Route::get('yonetim/contact/all', 'ContactMessage')->name('contact.all');
        Route::get('yonetim/contact/details/{id}', 'ContactDetails')->name('contact.details');
        Route::get('yonetim/delete/message/{id}', 'DeleteMessage')->name('delete.message');


    });


    Route::controller(AdminController::class)->group(function () {
        Route::get('yonetim/admin/all', 'all')->name('admin.all');
        Route::get('yonetim/admin/yonupdate/{id}', 'yonupdate')->name('admin.yonupdate');
        Route::post('yonetim/admin/yonupdateson/{id}', 'yonupdateson')->name('admin.yonupdateson');
        Route::get('yonetim/admin/yonsilson/{id}/{yetki}', 'yonsilson')->name('admin.yonsilson');


        Route::get('yonetim/admin/yonekle', 'yonekle')->name('admin.yonekle');
        Route::post('yonetim/admin/yonekleson', 'yonekleson')->name('admin.yonekleson');
        Route::get('yonetim/admin/logout', 'destroy')->name('admin.logout');



        Route::get('yonetim/edit/profile', 'EditProfile')->name('edit.profile');
        Route::post('yonetim/edit/profileson', 'profileson')->name('store.profileson');
        Route::get('yonetim/change/password', 'ChangePassword')->name('change.password');
        Route::post('yonetim/update/password', 'UpdatePassword')->name('update.password');

    });

    Route::controller(AboutController::class)->group(function () {

        Route::get('yonetim/aboutayar/aboutedit', 'aboutedit')->name('aboutayar.aboutedit');
        Route::post('yonetim/aboutayar/abouteditson/{id}', 'abouteditson')->name('aboutayar.abouteditson');
    });


    Route::controller(SeoController::class)->group(function () {

        Route::get('yonetim/seo/all', 'veriler')->name('seo.all');
        Route::get('yonetim/seo/edit/{id}', 'veriupdate')->name('seo.veriupdate');
        Route::post('yonetim/seo/editson/{id}', 'veriupdateson')->name('seo.veriupdateson');

    });




    //paketler Controller
    Route::controller(PaketlerController::class)->group(function () {
        Route::get('yonetim/paket/all', 'veriler')->name('paket.all');
        Route::get('yonetim/paket/veriekle', 'veriekle')->name('paket.veriekle');
        Route::post('yonetim/paket/veriekleson', 'veriekleson')->name('paket.veriekleson');
        Route::post('yonetim/paket/veriupdateson/{id}', 'veriupdateson')->name('paket.veriupdateson');
        Route::get('yonetim/paket/verisil/{id}', 'veridelete')->name('paket.verisil');


        Route::get('yonetim/seopicerik/veriupdate/{id}', 'seopicerik')->name('seopicerik.veriupdate');
        Route::post('yonetim/seopicerik/veriupdateson/{id}', 'seopicerikson')->name('seopicerik.veriupdateson');

        Route::get('yonetim/paketler/paketveriekle/{paket_id}', 'paketveriekle')->name('paketler.paketveriekle');
        Route::post('yonetim/paketler/paketveriekleson/{id}', 'paketveriekleson')->name('paketler.paketveriekleson');
        Route::get('yonetim/paketler/paketveriupdate/{id}/{paket_id}', 'paketveriupdate')->name('paketler.paketveriupdate');
        Route::post('yonetim/paketler/paketveriupdateson/{id}/{paket_id}', 'paketveriupdateson')->name('paketler.paketveriupdateson');
        Route::get('yonetim/paketler/paketverisil/{id}', 'paketveridelete')->name('paketler.paketverisil');



        Route::get('yonetim/sssler/veriekle/{paket_id}', 'sssveriekle')->name('sssler.veriekle');
        Route::post('yonetim/sssler/veriekleson/{id}', 'sssveriekleson')->name('sssler.veriekleson');
        Route::get('yonetim/sssler/veriupdate/{id}/{paket_id}', 'sssveriupdate')->name('sssler.veriupdate');
        Route::post('yonetim/sssler/veriupdateson/{id}/{paket_id}', 'sssveriupdateson')->name('sssler.veriupdateson');
        Route::get('yonetim/sssler/verisil/{id}', 'sssveridelete')->name('sssler.verisil');


    });





    //Bayi Tasarım Controller
    Route::controller(BayilikController::class)->group(function () {
        Route::get('yonetim/bayi/all', 'veriler')->name('bayi.all');



        Route::get('yonetim/bayiicerik/veriupdate', 'bayiicerik')->name('bayiicerik.veriupdate');
        Route::post('yonetim/bayiicerik/veriupdateson', 'bayiicerikson')->name('bayiicerik.veriupdateson');

        Route::get('yonetim/bayipaketler/paketveriekle/', 'paketveriekle')->name('bayipaketler.paketveriekle');

        Route::post('yonetimbayipaketler/paketveriekleson', 'paketveriekleson')->name('bayipaketler.paketveriekleson');
        Route::get('yonetim/bayipaketler/paketveriupdate/{id}', 'paketveriupdate')->name('bayipaketler.paketveriupdate');
        Route::post('yonetim/bayipaketler/paketveriupdateson/{id}', 'paketveriupdateson')->name('bayipaketler.paketveriupdateson');
        Route::get('yonetim/bayipaketler/paketverisil/{id}', 'paketveridelete')->name('bayipaketler.paketverisil');


        Route::get('yonetim/bayisssler/veriekle', 'sssveriekle')->name('bayisssler.veriekle');
        Route::post('yonetim/bayisssler/veriekleson', 'sssveriekleson')->name('bayisssler.veriekleson');
        Route::get('yonetim/bayisssler/veriupdate/{id}', 'sssveriupdate')->name('bayisssler.veriupdate');
        Route::post('yonetim/bayisssler/veriupdateson/{id}', 'sssveriupdateson')->name('bayisssler.veriupdateson');
        Route::get('yonetim/bayisssler/verisil/{id}', 'sssveridelete')->name('bayisssler.verisil');


    });


    Route::controller(BannerController::class)->group(function () {

        Route::get('/banner/all', 'veriler')->name('banner.all');
        Route::get('/banner/edit/{id}', 'veriupdate')->name('banner.veriupdate');
        Route::post('/banner/editson/{id}', 'veriupdateson')->name('banner.veriupdateson');
    });



    //Kupon Controller
    Route::controller(KuponController::class)->group(function () {
        Route::get('yonetim/kupon/all', 'veriler')->name('kupon.all');

        Route::get('yonetim/kupon/veriekle', 'veriekle')->name('kupon.veriekle');
        Route::post('yonetim/kupon/veriekleson', 'veriekleson')->name('kupon.veriekleson');

        Route::get('yonetim/kupon/veriupdate/{id}', 'veriupdate')->name('kupon.veriupdate');
        Route::post('yonetim/kupon/veriupdateson/{id}', 'veriupdateson')->name('kupon.veriupdateson');

        Route::get('yonetim/kupon/verisil/{id}', 'veridelete')->name('kupon.verisil');

    });


    //Istatistik Controller
    Route::controller(\App\Http\Controllers\Yonetim\IstatistikController::class)->group(function () {
        Route::get('yonetim/istatistik/all', 'veriler')->name('istatistik.veriler');


    });

    //Özel kategoriler Controller
    Route::controller(\App\Http\Controllers\Yonetim\OzelkategoriController::class)->group(function () {
        Route::get('yonetim/indexkategoriler/all', 'veriler')->name('indexkategoriler.all');
        Route::get('yonetim/indexkategoriler/veriupdate/{id}', 'veriupdate')->name('indexkategoriler.veriupdate');
        Route::post('yonetim/indexkategoriler/veriupdateson/{id}', 'veriupdateson')->name('indexkategoriler.veriupdateson');


    });

    //Sitemap Controller

    Route::controller(\App\Http\Controllers\Yonetim\SitemapController::class)->group(function () {
        Route::get('yonetim/sitemapayar/veriler', 'index')->name('sitemap.veriler');
        Route::post('yonetim/sitemapayar/verilerpost', 'store')->name('sitemap.verilerpost');
        Route::get('yonetim/sitemapayar/verileredit/{id}', 'edit')->name('sitemap.verileredit');
        Route::post('yonetim/sitemapayar/verilereditson/{id}', 'editson')->name('sitemap.verilereditson');

        Route::delete('yonetim/sitemapayar/verisil/{id}', 'verisil')->name('sitemap.verisil');




    });













});


?>
